commit: d356aeb3ab9374f19b313e764e54811bcdb89a71
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 9 03:07:58 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 9 03:07:58 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d356aeb3
dev-python/irc: Bump to 20.4.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/irc/Manifest | 1 +
dev-python/irc/irc-20.4.1.ebuild | 50 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/irc/Manifest b/dev-python/irc/Manifest
index 2d23e5fe9e0a..7d02419381ed 100644
--- a/dev-python/irc/Manifest
+++ b/dev-python/irc/Manifest
@@ -1 +1,2 @@
DIST irc-20.4.0.tar.gz 91215 BLAKE2B
39244605b7ad47d4fd9c22b4040f14ad46ec79c339e1ffd8451fad04a3d2b7c4945d8474f4c9c9cf3c620cfc3b0298123ba21844849d5070cc85993f46997025
SHA512
ff75593cf9606c724232517c8340beb115ceda254acb5989c043bd0653f215b928b663570c98c27b845cc7431ea142514c85968e3e3b9bda0406ce799a2b1d2e
+DIST irc-20.4.1.tar.gz 91229 BLAKE2B
05518a19821016e5a10173a5ee20a0d3cb6047eb87f4a153331bc8458abb365d27cde8ae02b1e7c12a86957adc7811511f61c516bdb1c6f0f03f4a5186524eb5
SHA512
e57e18c7c8111c883737cbaa176e0e895c182e43208ff784abf382bcab0b613287076ec35cfe266d78418e27b38a6443344b03bd90ea768c1c50ce0c32453d89
diff --git a/dev-python/irc/irc-20.4.1.ebuild b/dev-python/irc/irc-20.4.1.ebuild
new file mode 100644
index 000000000000..a090f3ee344d
--- /dev/null
+++ b/dev-python/irc/irc-20.4.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IRC client framework written in Python"
+HOMEPAGE="
+ https://github.com/jaraco/irc/
+ https://pypi.org/project/irc/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/jaraco-logging[${PYTHON_USEDEP}]
+ dev-python/jaraco-stream[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.10[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/tempora-1.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # https://github.com/jaraco/irc/issues/231
+ rm -r docs || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/scripts"
+ dodoc -r scripts
+ fi
+ distutils-r1_python_install_all
+}